
    /**
     * A container invokes this method on an instance before the instance
     * becomes disassociated with a specific EJB object.
     */
    public void ejbPassivate() {
	Trace.outln(trace, "@BNAME@@TYPE@ ejbPassivate");
    }

    /**
     * A container invokes this method when the instance is taken out of 
     * the pool of available instances to become associated with a specific 
     * EJB object.
     */
    public void ejbActivate() {
	Trace.outln(trace, "@BNAME@@TYPE@ ejbActivate");
    }
    
    // ------------------------------------------------------------------
    // @BNAME@ implementation
    // ------------------------------------------------------------------

    /**
     * method1
     */
    public void method1() {
	Trace.outln(trace, "@BNAME@@TYPE@ method1");
    }

    /**
     * method2
     */
    public void method2(java.lang.String s) {
	Trace.outln(trace, "@BNAME@@TYPE@ method2");
    }
}
